#include <iostream>
#include <fstream>
#include <string>

using namespace std;

int main() {
    ifstream inFile("data.txt");
    if (!inFile) {
        cerr << "Ошибка при открытии файла!" << endl;
        return 1;
    }
    string line;
    while (getline(inFile, line)) {
        if (line.find("C++") != string::npos) {
            cout << line << endl;
        }
    }
    inFile.close();
    return 0;
}
